### Method

# Gdk Display put_event

#### Declaration [src]

    void
    gdk_display_put_event (
      GdkDisplay* display,
      GdkEvent* event
    )

#### Description [src]

Appends the given event onto the front of the event queue for `display`.

This function is only useful in very special situations and should not be used by applications.

#### Parameters

`event` | `GdkEvent`
| A `GdkEvent`.
| The data is owned by the caller of the function.